Acroread: why there isn't it?

Discussions Regarding Software

Moderator: Moderators

Panuzio
Advanced Hen
Posts: 247
Joined: Mon May 19, 2008 20:04
Location: Firenze, Toscana, Italia (Florence, Tuscany, Italy)

Re: Acroread: why there isn't it?

Post by Panuzio » Wed Jun 21, 2017 19:17

Fitzcarraldo wrote:I can see from the output you posted that you did not follow to the letter the instructions given in the blog post (see link in a previous post). PDF-XChange Editor still installs and works fine in an up-to-date SL installation; I have just checked a few minutes ago:

Select 'Download' > 'ZIP Installer (32/64 bit)' on the following Web site:

https://www.tracker-software.com/produc ... nge-editor

The Web browser in my installation is configured to download files to the directory ~/Downloads/ so this downloaded the file PDFXVE6.zip to that directory.

Then, in a terminal window in SL:

Code: Select all

[email protected] ~ $ su
sabayon fitzcarraldo # equo install wine
sabayon fitzcarraldo # exit
[email protected] ~ $ export WINEPREFIX=$HOME/.wine-pdfxve6
[email protected] ~ $ export WINEARCH="win32"
[email protected] ~ $ winecfg # Select Windows 10.
[email protected] ~ $ cd .wine-pdfxve6/drive_c/
[email protected] ~/.wine-pdfxve6/drive_c $ cp ~/Downloads/PDFXVE6.zip .
[email protected] ~/.wine-pdfxve6/drive_c $ unzip PDFXVE6.zip
[email protected] ~/.wine-pdfxve6/drive_c $ wine PDFXVE6.exe # Follow blog post instructions to install PDF-XChange Editor.
[email protected] ~/.wine-pdfxve6/drive_c $ WINEPREFIX="$HOME/.wine-pdfxve6" && WINEARCH="win32" && wine $WINEPREFIX/drive_c/Program\ Files/Tracker\ Software/PDF\ Editor/PDFXEdit.exe # To run from command line.
You can then edit the DE's Application Launcher menu to include the last command above, so that PDF-XChange Editor can be launched via the DE's GUI rather than from the command line.

Follow *exactly* the installation instructions given in the above-mentioned blog post.
Dear Fitzcarraldo,


... But I continue what I was writing. "I offer thanks to you" - I'm not kidding! I'm writing with respectfully - for your, perhaps far too much, appreciated and tenacious and fully patient attention. ;D
And I "withdraw" what I wrote above: I shamefully mistook, 'cause I was (and I am) an impolite boor.
Very sorry, very sorry to you and to all of you readers.
...

And with Mint 18, by Playonlinux, I've installed this program.
In Sabayon same fact there isn't - how write very bad in English! - and installation process is frozen. :shock:
I didn't understand, but this is not the time to know that.
I explain.
Before reading you last post, I've download the setup file from Tracker Software. Then, I changed the virtual machine as Winxp (before it was Win7 shaped).
At the end, I could install this awesome application. :)
I hope I did as well. ;)
For now, it seems to work well, even if not perfectly.
But, along an Italian saying (especially academic), "the right is better than the best/optimum" ("il buono è meglio dell'ottimo").

Code: Select all

$ wine /home/****/.wine/drive_c/PDFXVE6.exe
fixme:winediag:start_process Wine Staging 2.3 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
fixme:file:SetDefaultDllDirectories (800): stub
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenElevation, ...) semi-stub
fixme:advapi:DecryptFileW (L"C:\\users\\****\\Temp\\{9497BFDD-5A62-4871-9E47-FB985A96F3F0}\\", 00000000): stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenElevation, ...) semi-stub
fixme:advapi:DecryptFileW (L"C:\\users\\****\\Temp\\{D6C56B87-ADE1-4864-B1E0-6C7821770066}\\", 00000000): stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:shell:SHAutoComplete stub
fixme:advapi:DecryptFileW (L"C:\\users\\****\\Temp\\{D6C56B87-ADE1-4864-B1E0-6C7821770066}\\", 00000000): stub
fixme:exec:SHELL_execute flags ignored: 0x00000100
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
fixme:file:SetDefaultDllDirectories (800): stub
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
fixme:ntdll:NtQueryInformationToken QueryInformationToken( ..., TokenElevation, ...) semi-stub
fixme:wuapi:automatic_updates_Pause 
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\Editor.64", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\upd_x86.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\vlt_x86.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\SE_x86.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\SE_x64.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\SE_bin.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\SE_res.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\et_res.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\et_bin.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\et_x64.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\e_x64.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\e_bin.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\e_res.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\Lite_x64.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\Lite_bin.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\Lite_res.cab", 00000000): stub
fixme:advapi:DecryptFileW (L"C:\\users\\Public\\Application Data\\Package Cache\\{E4CA717A-FAC1-447A-88F3-A3C8F825C603}v6.0.322.4\\StdLite_res.cab", 00000000): stub
fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
err:richedit:ReadColorTbl malformed entry
err:richedit:ReadColorTbl malformed entry
err:richedit:ReadColorTbl malformed entry
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
err:richedit:ReadStyleSheet skipping optional destination
fixme:msi:event_spawn_wait_dialog doing nothing
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:msi:msi_dialog_onkillfocus Invalid path L"_BrowseProperty"
err:ole:CoInitializeEx Attempt to change threading model of this apartment from multi-threaded to apartment threaded
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:imagehlp:ImageUnload (0x4702b8)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ver:GetCurrentPackageId (0x33fd84 (nil)): stub
err:rundll32:wWinMain Unable to find the entry point L"" in L"printui.dll"
fixme:wuapi:automatic_updates_Resume 
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ver:GetCurrentPackageId (0x33fd84 (nil)): stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ver:GetCurrentPackageId (0x33fd84 (nil)): stub
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ver:GetCurrentPackageId (0x32fd84 (nil)): stub
Anyway, I hope, let's hope that someone, who's a benevolent and dogged hacker, will create a pretty similar application for Gnu-Linux. :D
Sorry again. :oops:
And sorry again and again for my English language.
Last edited by Panuzio on Sun Jun 25, 2017 17:39, edited 2 times in total.
Francesco
Ride of Sabayon (Mania) penguins
Gnome is dead!
Gnome 2 forever!

Linux sabayon 4.8.0-sabayon #1 SMP Thu Dec 22 15:22:00 UTC 2016 x86_64 Intel(R) Core(TM) i3 CPU M 350 @ 2.27GHz GenuineIntel GNU/Linux

User avatar
sabayonino
Sagely Hen
Posts: 3264
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: Acroread: why there isn't it?

Post by sabayonino » Wed Jun 21, 2017 20:23

install playonlinux via entropy

Code: Select all

# equo i playonlinux
starts POL

click on "install a non listed program" and go on... select .exe you need to start installation

Image
Image
[Che Cos'è Il Calcolo Distribuito (BOINC)

BOINC ready ! Sabayon+BOINC = BILD ,my Sabayon spin :cyclops: - Ready to crunch for the Science everywhere :)

Panuzio
Advanced Hen
Posts: 247
Joined: Mon May 19, 2008 20:04
Location: Firenze, Toscana, Italia (Florence, Tuscany, Italy)

Re: Acroread: why there isn't it?

Post by Panuzio » Thu Jun 22, 2017 2:13

saba* I just installed PDF-XChange Editor.
I just tried to install it with mode you suggested, but it not works, installation is frozen, as I above told.
We're Italians who discuss in a language which is different than the own. :mrgreen:
Francesco
Ride of Sabayon (Mania) penguins
Gnome is dead!
Gnome 2 forever!

Linux sabayon 4.8.0-sabayon #1 SMP Thu Dec 22 15:22:00 UTC 2016 x86_64 Intel(R) Core(TM) i3 CPU M 350 @ 2.27GHz GenuineIntel GNU/Linux

User avatar
sabayonino
Sagely Hen
Posts: 3264
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: Acroread: why there isn't it?

Post by sabayonino » Thu Jun 22, 2017 11:17

I thought that this could fix
I think that some environment variables must be fixed
[Che Cos'è Il Calcolo Distribuito (BOINC)

BOINC ready ! Sabayon+BOINC = BILD ,my Sabayon spin :cyclops: - Ready to crunch for the Science everywhere :)

Panuzio
Advanced Hen
Posts: 247
Joined: Mon May 19, 2008 20:04
Location: Firenze, Toscana, Italia (Florence, Tuscany, Italy)

Re: Acroread: why there isn't it?

Post by Panuzio » Tue Jul 25, 2017 1:44

Anyway, that's heavy, too heavy for my (so aged) pc.
Francesco
Ride of Sabayon (Mania) penguins
Gnome is dead!
Gnome 2 forever!

Linux sabayon 4.8.0-sabayon #1 SMP Thu Dec 22 15:22:00 UTC 2016 x86_64 Intel(R) Core(TM) i3 CPU M 350 @ 2.27GHz GenuineIntel GNU/Linux

gentmixer
Simple Hen
Posts: 60
Joined: Wed Jan 17, 2018 17:21

Re: Acroread: why there isn't it?

Post by gentmixer » Sun Jan 21, 2018 23:50

You can install acroread externally, from some old Adobe repository... or unmask ebuild from Gentoo and emerge (very simple because all dependencies are located inside the package), eventually look for archived ebuild (also the asianfonts):
https://sources.gentoo.org/cgi-bin/view ... ortby=date
all in the Gentoo way... or take the acroread package from other distro (.deb package for example), unpack and write out all files from "data" (from unpacked .deb) to the adequate directories (mostly to /opt)... But it will be an old version. Frugal googling!

gentmixer
Simple Hen
Posts: 60
Joined: Wed Jan 17, 2018 17:21

Re: Acroread: why there isn't it?

Post by gentmixer » Tue Feb 06, 2018 3:01

After upgrading gcc to 6.4* version and reinstalling (700+) packages acroread definitely stopped working... probably because "multilib" problem (emul-linux-x86 are obsolete). No support for acroread anymore. The pdf.js plugin keeps working in browser only. Changing some ebuilds (and flags)? Oh, no...

gentmixer
Simple Hen
Posts: 60
Joined: Wed Jan 17, 2018 17:21

Re: Acroread: why there isn't it?

Post by gentmixer » Sun Feb 11, 2018 19:13

The "emul-linux" packages just installed... so it is because a new kernel (4.14.16)..."Strace" shows it...

User avatar
Fitzcarraldo
Sagely Hen
Posts: 8116
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: Acroread: why there isn't it?

Post by Fitzcarraldo » Mon Feb 12, 2018 3:50

Why are you persisting trying to install a dead 32-bit application that Adobe stopped developing in 2013 and that is full of security vulnerabilities?

Last release for Linux:
ftp://ftp.adobe.com/pub/adobe/reader/un ... 9.5.5/enu/

Security vulnerabilities:
https://cve.mitre.org/cgi-bin/cvekey.cg ... rd=acrobat

PDF-XChange Editor (current version is 7.0.324.2, updated on 5 Feb 2018) running under WINE is much better than the obsolete Adobe Acrobat Reader for Linux in any case.

gentmixer
Simple Hen
Posts: 60
Joined: Wed Jan 17, 2018 17:21

Re: Acroread: why there isn't it?

Post by gentmixer » Mon Feb 12, 2018 15:57

Thank you, Fitzcarraldo... I red your advices previously and your blog also...
I have very old wine, configured inside the ".wine" folder (mostly with native old dlls and drivers). I'm using some professional old film scanners (SCSI)... I should make the second wine folder probably, configured for modern applications. (I will try to install wine In the second slot also...)

Post Reply